org.apache.fop.render.ps

## Enum PSRendererOption

- java.lang.Object
- - java.lang.Enum<PSRendererOption>
  - - org.apache.fop.render.ps.PSRendererOption

All Implemented Interfaces:
  Serializable, Comparable<PSRendererOption>, RendererConfigOption

    public enum PSRendererOption
    extends Enum<PSRendererOption>
    implements RendererConfigOption

An enumeration of the PostScript renderer configuration options along with their default values.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ACROBAT_DOWNSAMPLE`
`AUTO_ROTATE_LANDSCAPE` Indicates whether landscape pages should be rotated, default: false
`DSC_COMPLIANT` Indicates whether the PostScript output should be DSC compliant, default: true
`LANGUAGE_LEVEL` Sets the PostScript language level, default: `PSGenerator.DEFAULT_LANGUAGE_LEVEL`
`OPTIMIZE_RESOURCES` Whether resources should be optimized in a post-processing run, default: false
`RENDERING_MODE`
`SAFE_SET_PAGE_DEVICE` Indicates whether the "safe setpagedevice" mode is active, default: false

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Object` `getDefaultValue()`
`String` `getName()` The name of the option.
`static PSRendererOption` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PSRendererOption[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### AUTO_ROTATE_LANDSCAPE

    public static final PSRendererOption AUTO_ROTATE_LANDSCAPE

Indicates whether landscape pages should be rotated, default: false

#### LANGUAGE_LEVEL

    public static final PSRendererOption LANGUAGE_LEVEL

Sets the PostScript language level, default: `PSGenerator.DEFAULT_LANGUAGE_LEVEL`

#### OPTIMIZE_RESOURCES

    public static final PSRendererOption OPTIMIZE_RESOURCES

Whether resources should be optimized in a post-processing run, default: false

#### SAFE_SET_PAGE_DEVICE

    public static final PSRendererOption SAFE_SET_PAGE_DEVICE

Indicates whether the "safe setpagedevice" mode is active, default: false

#### DSC_COMPLIANT

    public static final PSRendererOption DSC_COMPLIANT

Indicates whether the PostScript output should be DSC compliant, default: true

#### RENDERING_MODE

    public static final PSRendererOption RENDERING_MODE

#### ACROBAT_DOWNSAMPLE

    public static final PSRendererOption ACROBAT_DOWNSAMPLE

### Method Detail

#### values

    public static PSRendererOption[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (PSRendererOption c : PSRendererOption.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static PSRendererOption valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getName

    public String getName()

Description copied from interface: `RendererConfigOption`
The name of the option.

Specified by:
  `getName` in interface `RendererConfigOption`

#### getDefaultValue

    public Object getDefaultValue()

Specified by:
  `getDefaultValue` in interface `RendererConfigOption`